commit: f9c1602f8817a8ff0cb88f54da0c086dc319394b
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 2 21:55:34 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Sep 2 22:05:05 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f9c1602f
dev-python/pycurl: Bump to 7.43.0.6
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pycurl/Manifest | 1 +
dev-python/pycurl/pycurl-7.43.0.6.ebuild | 85 ++++++++++++++++++++++++++++++++
2 files changed, 86 insertions(+)
diff --git a/dev-python/pycurl/Manifest b/dev-python/pycurl/Manifest
index f327296b94d..8dd8f303804 100644
--- a/dev-python/pycurl/Manifest
+++ b/dev-python/pycurl/Manifest
@@ -1 +1,2 @@
DIST pycurl-7.43.0.5.tar.gz 216877 BLAKE2B
57605fa3426a76e0cdcc1bb4f247985a27439d67d32769945332f94c49eead7fadb2847accf98f0d0994e461fc9d6fd100a181ff6d3ac0765dad31d546a75ff4
SHA512
835ed6cca25d2dd3e7084f905f3b0b082d4af04761fa9d4dc4714865863a97c095c08e6f55ada91b9f60ccad7838328a82fb2add8108aea12056200cf1f12845
+DIST pycurl-7.43.0.6.tar.gz 222895 BLAKE2B
5a923a3d7a57aa553361206fd0c0e43e6ad66a70af72540c08a29903a9a71ed6b9460c06ab6e50fc2a01d1badd45edf41eb36f6dd97fca3c83bef30f12e41c40
SHA512
5625d9e38159fb785afaf539372a8ac658d9118fb25f581f11629859fde400b6fccf65e03a19e182534a78169531304639b1e6f1bfdd2cb09bce95d581b52850
diff --git a/dev-python/pycurl/pycurl-7.43.0.6.ebuild
b/dev-python/pycurl/pycurl-7.43.0.6.ebuild
new file mode 100644
index 00000000000..b9e03ef669f
--- /dev/null
+++ b/dev-python/pycurl/pycurl-7.43.0.6.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=manual
+# The selftests fail with pypy, and urlgrabber segfaults for me.
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+
+inherit distutils-r1 toolchain-funcs
+
+DESCRIPTION="python binding for curl/libcurl"
+HOMEPAGE="
+ https://github.com/pycurl/pycurl
+ https://pypi.org/project/pycurl/
+ http://pycurl.io/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390
~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="curl_ssl_gnutls curl_ssl_libressl curl_ssl_nss +curl_ssl_openssl
examples ssl test"
+RESTRICT="!test? ( test )"
+
+# Depend on a curl with curl_ssl_* USE flags.
+# libcurl must not be using an ssl backend we do not support.
+# If the libcurl ssl backend changes pycurl should be recompiled.
+# If curl uses gnutls, depend on at least gnutls 2.11.0 so that pycurl
+# does not need to initialize gcrypt threading and we do not need to
+# explicitly link to libgcrypt.
+RDEPEND="
+ >=net-misc/curl-7.25.0-r1:=[ssl=]
+ ssl? (
+
net-misc/curl[curl_ssl_gnutls(-)=,curl_ssl_libressl(-)=,curl_ssl_nss(-)=,curl_ssl_openssl(-)=,-curl_ssl_axtls(-),-curl_ssl_cyassl(-)]
+ curl_ssl_gnutls? ( >=net-libs/gnutls-2.11.0:= )
+ curl_ssl_libressl? ( dev-libs/libressl:= )
+ curl_ssl_openssl? ( dev-libs/openssl:= )
+ )"
+
+# bottle-0.12.7: https://github.com/pycurl/pycurl/issues/180
+# bottle-0.12.7:
https://github.com/defnull/bottle/commit/f35197e2a18de1672831a70a163fcfd38327a802
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/bottle[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+
net-misc/curl[curl_ssl_gnutls(-)=,curl_ssl_libressl(-)=,curl_ssl_nss(-)=,curl_ssl_openssl(-)=,-curl_ssl_axtls(-),-curl_ssl_cyassl(-),http2]
+ >=dev-python/bottle-0.12.7[${PYTHON_USEDEP}]
+ )"
+
+python_prepare_all() {
+ sed -e "/setup_args\['data_files'\] = /d" -i setup.py || die
+ # disable automagic use of setuptools
+ sed -e 's:import wheel:raise ImportError:' -i setup.py || die
+ # these tests are broken with newer versions of bottle
+ sed -e 's:test.*_invalid_utf8:_&:' -i tests/getinfo_test.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ # Override faulty detection in setup.py, bug 510974.
+ export PYCURL_SSL_LIBRARY=${CURL_SSL/libressl/openssl}
+}
+
+src_test() {
+ emake -C tests/fake-curl/libcurl CC="$(tc-getCC)"
+
+ distutils-r1_src_test
+}
+
+python_compile() {
+ python_is_python3 || local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+ distutils-r1_python_compile
+}
+
+python_test() {
+ nosetests -a '!standalone,!gssapi' -v --with-flaky || die "Tests fail
with ${EPYTHON}"
+ nosetests -a 'standalone' -v --with-flaky || die "Tests fail with
${EPYTHON}"
+}
+
+python_install_all() {
+ local HTML_DOCS=( doc/. )
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}